Skip to main content

Get product

Gets a specific product. Make sure to include relevant child-collections in the request.

Path Parameters
productId string — REQUIRED

The id of the product to get.

Query Parameters
productIdType int32

Possible values: [0, 1, 2, 3]

The type of product id supplied.
0 = Internal. Internal product id set by Geins.
Eg: 10001.
1 = ArticleNumber. Article number set by customer.
Eg: ABC123.
2 = MarketPrefixedInternal. Internal product id set by Geins, prefixed with market.
Eg: SE10001.
3 = MarketPrefixedArticleNumber. Article number set by customer, prefixed with market.
Eg: SEABC123.

include string

Set to empty string to only include basic product data or null to not include any product data.
Valid options:
Names, ShortTexts, LongTexts, TechTexts, Items, Prices, Categories, Parameters, Variants, Markets, Images, Feeds, Urls, ShippingFees, RelatedProducts, DiscountCampaigns, LowestPrice

Responses
200

The requested product.

Schema — OPTIONAL
Resource object — OPTIONAL

A product.

ProductId int32 — OPTIONAL

The unique identifier for the product.

ArticleNumber string — OPTIONAL

The article number of the product.

Names object[] — OPTIONAL

The localized names of the product.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

DateCreated date-time — OPTIONAL

The date the product was created.

DateUpdated date-time — OPTIONAL

The date the product was last updated.

DateFirstAvailable date-time — OPTIONAL

The date the product was first available.

MaxDiscountPercentage int32 — OPTIONAL

Maximum discount percentage for the product.

Active boolean — OPTIONAL

The current state of the product.

PurchasePrice double — OPTIONAL

The purchase price in the currency defined in PurchasePriceCurrency.

PurchasePriceCurrency string — OPTIONAL

The 3-letter ISO 4217 currency code for the amount given in PurchasePrice.

ShortTexts object[] — OPTIONAL

Localized short texts for the product.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

LongTexts object[] — OPTIONAL

Localized long texts for the product.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

TechTexts object[] — OPTIONAL

Localized tech texts for the product.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

Items object[] — OPTIONAL

The items belonging to the product.

ItemId int32 — OPTIONAL

The product item id.

ArticleNumber string — OPTIONAL

The article number for the product item.

ProductId int32 — OPTIONAL

The id of the product that the item belongs to.

Name string — OPTIONAL

The name of the product item.

Shelf string — OPTIONAL

The shelf name where the product item can be found.

Weight int32 — OPTIONAL

The weight of the item in grams (g).

Length int32 — OPTIONAL

The length of the item in millimeters (mm).

Width int32 — OPTIONAL

The width of the item in millimeters (mm).

Height int32 — OPTIONAL

The height of the item in millimeters (mm).

Gtin string — OPTIONAL

The GTIN number for the item.
Also known as EAN, UCC or UPS number.

DateCreated date-time — OPTIONAL

The date the item was created.

DateUpdated date-time — OPTIONAL

The date the item was last updated.

DateIncoming date-time — OPTIONAL

The date the item will be in stock again.

Active boolean — OPTIONAL

The current state of the item.

ExternalId string — OPTIONAL

External Id of the product item.

Stock object — OPTIONAL

A stock value for a product item

ItemId int32 — OPTIONAL

A value to uniquely identity a single product item.

Stock int32 — OPTIONAL

The physical stock value.

StockOversellable int32 — OPTIONAL

The oversellable stock value.

StockStatic int32 — OPTIONAL

The static stock value.

StockSellable int32 — OPTIONAL

The sellable stock value.

ShippingFees object[] — OPTIONAL

The lowest shipping fees for each market and country for the product item.

Market int32 — OPTIONAL

The market that the shipping fee is applicable on.

Country string — OPTIONAL

The country that the shipping fee is applicable in.

Service string — OPTIONAL

The shipping service with the current fee.

ServiceId int32 — OPTIONAL

The shipping service id with the current fee.

Fee double — OPTIONAL

The shipping fee.

Prices object[] — OPTIONAL

The current prices of the product.

ProductId int32 — OPTIONAL

The id of the product that this price applies to.

PriceListId int32 — OPTIONAL

The id of the price list that this price is associated with.

PriceListName string — OPTIONAL

The name of the price list that this price is associated with.

PriceIncVat double — OPTIONAL

The price, inc VAT, in the currency of the associated price list.

PriceExVat double — OPTIONAL

The price, ex VAT, in the currency of the associated price list.

VatRate double — OPTIONAL

The VAT Rate.

Country string — OPTIONAL

The 2-letter ISO country code for this price.

Currency string — OPTIONAL
StaggeredCount int32 — OPTIONAL

Staggered count for this price. Defaults to 1.
This field is ignored for prices on default (Ordinary, Sale and Campaign) price lists.

ValidFrom date-time — OPTIONAL

The date the price is valid from.
No start boundary if null.

ValidTo date-time — OPTIONAL

The date the price is valid to.
No end boundary if null.

Categories object[] — OPTIONAL

The categories the product belongs to.

CategoryId int32 — OPTIONAL

The id of the category.

ParentCategoryId int32 — OPTIONAL

The id of the parent category. If the category is at the root level, this field will be 0.

Names object[] — OPTIONAL

The localizable names of the category.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

Descriptions object[] — OPTIONAL

The localized descriptions of the category.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

SecondaryDescriptions object[] — OPTIONAL

The localized secondary descriptions of the category.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

Meta object — OPTIONAL

Meta information for a category.

Descriptions object[] — OPTIONAL

The localized meta descriptions of the category.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

Keywords object[] — OPTIONAL

The localized meta keywords of the category.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

Titles object[] — OPTIONAL

The localized meta titles of the category.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

GoogleCategoryPath string — OPTIONAL

The Google Taxonomy category path for the category, if any.

Hidden boolean — OPTIONAL

Indicates if the category should be hidden from menus, filters etc.

Active boolean — OPTIONAL

True if the category is active for use.

Images object[] — OPTIONAL

The images for the product

ProductId int32 — OPTIONAL
Url string — OPTIONAL

Url of Image.

Order int32 — OPTIONAL

Order of image (ascending). First image is the main image for the product.

Tags string[] — OPTIONAL

The tags associated with this image.

BrandId int32 — OPTIONAL

The brand id of the product.

BrandName string — OPTIONAL

The brand name of the product.

SupplierId int32 — OPTIONAL

The supplier id of the product.

SupplierName string — OPTIONAL

The supplier name of the product.

ParameterValues object[] — OPTIONAL

The parameter values associated with the product.

ParameterValueId int32 — OPTIONAL

The unique identifier of this parameter value.

ProductId int32 — OPTIONAL

The product id of the parameter.

ParameterId int32 — OPTIONAL

The unique identifier of the parameter that this value belongs to.

ParameterName string — OPTIONAL

The non-localized name of the parameter.

GroupId int32 — OPTIONAL

The unique identifier of the group that this parameter belongs to.

GroupName string — OPTIONAL

The name of the group that this parameter belongs to.

ParameterType int32 — OPTIONAL

Possible values: [1, 2, 3, 4, 5, 6, 7]

The type of parameter.
The Value field must validate against this type.
1 = String. Any string value.
2 = Float. Any floating point number.
Period as decimal separator and no thousands separator.
Eg: 10001.789.
3 = DateTime. Any ISO 8601 date.
Eg: 2017-03-06T16:31:24+02:00.
4 = Multi. A string value from a predefined set of values.
This type may occur multiple times for the same parameter.
5 = Single. A string value from a predefined set of values.
6 = Headline. A string value used mainly for grouping in layout.
7 = Tags. A pipe-separated list of product specific values.
Eg: red|green|blue.

Value string — OPTIONAL

The identifying value of the parameter.
Although always presented as a string, the data within Value must validate against the type of the parameter:
String = Any string.
Float = Any floating point number.
DateTime = Any date.
Multi = Any predefined value id from the predefined set of values for this parameter.
Single = Any predefined value id from the predefined set of values for this parameter.
Headline = Any string.

Description string — OPTIONAL

The non-localized description of the parameter.
This is usually the same value as Value for all parameter types, except Single Multi.

LocalizedDescriptions object[] — OPTIONAL

The localized descriptions of the parameter.
Not used for parameter types Float or DateTime.

LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

InternalIdentifier string — OPTIONAL

The internal identifier of the parameter.

Order string — OPTIONAL

Value indicating order of the parameter value. The value takes the order of the parameter into account. Formula: (ParameterOrder * 10000) + ParameterValueOrder.

Variants object[] — OPTIONAL

The variants for this product.

ProductId int32 — OPTIONAL

The id of the product this variant information belongs to.

GroupId int32 — OPTIONAL

The id of the group this variant belongs to.

Label string — OPTIONAL

The name of the variant information, eg "Weight", "Length" etc.

Value string — OPTIONAL

The value of the variant information, eg "250g", "89cm" etc.

Markets object[] — OPTIONAL

The markets for this product

Id int32 — OPTIONAL

Market id.

ChannelId string — OPTIONAL

Channel id. Format: {Íd}|{MarketTopDomain}

Name string — OPTIONAL

Market Name.

DisplayName string — OPTIONAL

Market display name.

Url string — OPTIONAL

Market url.

Currency string — OPTIONAL

Default currency iso code of the market.

VatRate double — OPTIONAL

Default VAT Rate of the market.

MarketPrefix string — OPTIONAL

Market prefix. Usually the top level domain of the market.

CountryId int32 — OPTIONAL

Default country Id of the market.

CurrencyId int32 — OPTIONAL

Default currency Id of the market.

CurrencyRate double — OPTIONAL

Currency rate of the default currency.

LanguageId int32 — OPTIONAL

Default language Id of the market.

Language string — OPTIONAL

Default language iso code of the market.

Languages object[] — OPTIONAL

All languages of the market.

LanguageId int32 — OPTIONAL

Language id.

Name string — OPTIONAL

Language Name

Code string — OPTIONAL

ISO code of the language.

Countries object[] — OPTIONAL

All countries of the market.

CountryId int32 — OPTIONAL

Country id.

Name string — OPTIONAL

Country Name

Code string — OPTIONAL

ISO code of the country.

VatRate double — OPTIONAL

VAT Rate of the country.

CurrencyId int32 — OPTIONAL

Currency id of the country.

Currencies object[] — OPTIONAL

All currencies of the market.

Name string — OPTIONAL

Currency Name.

Code string — OPTIONAL

Iso code of the currency.

CurrencyId int32 — OPTIONAL

Currency id.

CurrencyRate double — OPTIONAL

Currency rate.

Vat double — OPTIONAL

The vat percent for this product. Eg) 0.25 meaning 25% VAT.

PrimaryImage string — OPTIONAL

The filename of this products primary image.

FreightClassId int32 — OPTIONAL

Id of freight class.

IntrastatCode string — OPTIONAL

Intrastat code of the product.

CountryOfOrigin string — OPTIONAL

Country of orgin of product.

VariantGroupId int32 — OPTIONAL

Id of Variant Group to which the product is associated.

VatId int32 — OPTIONAL

Id of VAT.

ExternalId string — OPTIONAL

External Id of the product.

ActivationDate date-time — OPTIONAL

Activation date for the product.

Feeds object[] — OPTIONAL

The feeds the product is a member of.

FeedId int32 — OPTIONAL

The feed id.

AllowSale boolean — OPTIONAL

True if the feed is allowed to display the sale price of the product.

Urls object[] — OPTIONAL

All canonical urls for the product.

Url string — OPTIONAL

The canonical url to the product.

Market int32 — OPTIONAL

The market of the url.

Countries string[] — OPTIONAL

The countries or regions of the url.

Language string — OPTIONAL

The language code of the url.

MainCategoryId int32 — OPTIONAL

The main category id for the product.

RelatedProducts object[] — OPTIONAL

The related products for the product.

ProductId int32 — OPTIONAL

The unique identifier for the product.

RelatedProductId int32 — OPTIONAL

The unique identifier for the related product.

RelationTypeId int32 — OPTIONAL

The product relation type id.

DiscountCampaigns object[] — OPTIONAL

The discount campaigns for the product.

CampaignId uuid — OPTIONAL

Id of Campaign.

CampaignName string — OPTIONAL

Name of Campaign.

Title string — OPTIONAL

Title that can be displayed for the product.

HideTitle boolean — OPTIONAL

Indicates if the title should be displayed.

RuleType string — OPTIONAL

Type of discount rule. I.e. Percentage.

Category string — OPTIONAL

Campaign Category. Cart, PromoCode or Product.

Enabled boolean — OPTIONAL

true if campaign is enabled.

ValidFrom date-time — OPTIONAL

Valid from.

ValidTo date-time — OPTIONAL

Valid to.

Markets string — OPTIONAL

List of markets where the campaign is available in fthe format {domain|marketId}.

Action string — OPTIONAL
ActionValue string — OPTIONAL
Quantity int32 — OPTIONAL
Titles object[] — OPTIONAL
LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

Urls object[] — OPTIONAL
LanguageCode string — OPTIONAL
Content string — OPTIONAL

The localized content.

LowestPrice object[] — OPTIONAL

Contains information about the lowest price during last 30 days and the legal comparison price (EU).

LowestPrice double — OPTIONAL
ComparisonPrice double — OPTIONAL
MarketId int32 — OPTIONAL
Currency string — OPTIONAL
SortOrder object — OPTIONAL

Sort order values for a product.

Default int32 — OPTIONAL

Default sort value. Is usually calculated from the products availability date and cannot be set manually.

Custom1 int32 — OPTIONAL

Custom sort value 1.

Custom2 int32 — OPTIONAL

Custom sort value 2.

Custom3 int32 — OPTIONAL

Custom sort value 3.

Custom4 int32 — OPTIONAL

Custom sort value 4.

Custom5 int32 — OPTIONAL

Custom sort value 5.

Weight int32 — OPTIONAL

The weight of the product in grams (g). Can also be set on product item level.

Length int32 — OPTIONAL

The length of the product in millimeters (mm). Can also be set on product item level.

Width int32 — OPTIONAL

The width of the product in millimeters (mm). Can also be set on product item level.

Height int32 — OPTIONAL

The height of the product in millimeters (mm). Can also be set on product item level.

Message string — OPTIONAL

A status message for the action taken.

Details string[] — OPTIONAL

Any validation messages for the data on the current action.

400

Bad request.

Schema — OPTIONAL
Message string — OPTIONAL

A status message for the action taken.

Details string[] — OPTIONAL

Any validation messages for the data on the current action.

404

Not found.

Schema — OPTIONAL
Message string — OPTIONAL

A status message for the action taken.

Details string[] — OPTIONAL

Any validation messages for the data on the current action.